Bug 177822 - VFAT file system becomes read only after using Konqueror
VFAT file system becomes read only after using Konqueror
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-14 17:49 EST by Kyle Harvey
Modified: 2008-01-19 23:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Harvey 2006-01-14 17:49:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
After using Konqueror, my vfat files system becomes read only. Details are below.

I have an internal hard drive, /dev/hdb1, mounted at /local at startup. 

Output from the mount command immediately after startup: (Logged in as root.)

[root@localhost program files]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
/dev/proc on /proc type proc (rw)
/dev/sys on /sys type sysfs (rw)
/dev/devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda2 on /boot type ext3 (rw)
/dev/shm on /dev/shm type tmpfs (rw)
/dev/hdb1 on /local type vfat (rw) ---THIS IS THE DRIVE 
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
automount(pid2268) on /misc type autofs (rw,fd=4,pgrp=2268,minproto=2,maxproto=4)
automount(pid2294) on /net type autofs (rw,fd=4,pgrp=2294,minproto=2,maxproto=4)

Initially, the drive is read/write. See test output below:

[root@localhost ~]# cd "/local/program files"
[root@localhost program files]# ls
MUSICMATCH
[root@localhost program files]# touch test
[root@localhost program files]# ls
MUSICMATCH  test
[root@localhost program files]# rm test
rm: remove regular empty file `test'? y

Next, I launch Konqueror by clicking the "File Manager - Super User Mode" icon. I browse to the /local directory then close the window.

After that, the drive is read only, see test output below:

[root@localhost program files]# touch test
touch: cannot touch `test': Read-only file system

Additionally, I can not unmount the drive. See message below:

[root@localhost program files]# umount /dev/hdb1
umount: /local: device is busy
umount: /local: device is busy
[root@localhost program files]#

Also note, it still appears that the drive is rw:

[root@localhost program files]# mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
/dev/proc on /proc type proc (rw)
/dev/sys on /sys type sysfs (rw)
/dev/devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/hda2 on /boot type ext3 (rw)
/dev/shm on /dev/shm type tmpfs (rw)
/dev/hdb1 on /local type vfat (rw) ---THIS DID NOT CHANGE
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
automount(pid2268) on /misc type autofs (rw,fd=4,pgrp=2268,minproto=2,maxproto=4)
automount(pid2294) on /net type autofs (rw,fd=4,pgrp=2294,minproto=2,maxproto=4)

At this point, I have to log out of KDE and then bring it back up. I can then unmount the drive and mount it again as read/write.

Thanks.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.See above

Actual Results:  [root@localhost program files]# touch test
touch: cannot touch `test': Read-only file system

Expected Results:  [root@localhost program files]# touch test
[root@localhost program files]# ls
MUSICMATCH  test



Additional info:
Comment 1 Paul Nasrat 2006-01-18 16:21:30 EST
Could you attach dmesg from when the fs becomes ro.  

Also fuser -mv /local will reveal the open processes.  You will need to cd out
of the directory and close any browser windows in the mount before umount will work.
Comment 2 Luis 2006-06-08 14:10:26 EDT
The same problem here, but I use gnome and the problem also appears if I
create/delete files from a tty.
So I think it is not a kdebase bug, I propose to change it to kernel bug.

I have to remount rw the volume after each create/remove file, but i do not have
the "device busy" problem.

I obtain an error message when running from a tty

FAT: Filesystem panic (dev sda6)
    fat_free_clusters: deleting FAT entry beyond EOF
    File system has been set read-only

Although the mount comand shows it as read-write.

An fsck.vfat shows

[root@mychabol ~]# fsck.vfat -n /dev/sda6
dosfsck 2.11, 12 Mar 2005, FAT32, LFN
/Recycled/De9.micasa
  Contains a free cluster (68037). Assuming EOF.
/Recycled/De9.micasa
  File size is 73 bytes, cluster chain length is 0 bytes.
  Truncating file to 0 bytes.
Reclaimed 2 unused clusters (8192 bytes).
Free cluster summary wrong (565964 vs. really 633269)

So there is a problem, the clusters are not really free when deleting files.
Comment 3 Ngo Than 2006-09-26 16:51:01 EDT
it looks like a bug in kernel
Comment 4 Dave Jones 2006-10-10 00:57:24 EDT
Does this still happen in FC5 ?
Comment 5 Luis 2006-10-12 03:31:45 EDT
The first time it happened to me I was using FC5, but now I am unable to
reproduce the problem.
Comment 6 Dave Jones 2006-10-16 17:00:15 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Jon Stanley 2008-01-19 23:38:51 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.